Bug 782599 - RFE: Upgrade perl-CGI-Session
Summary: RFE: Upgrade perl-CGI-Session
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CGI-Session
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-17 21:26 UTC by Ralf Corsepius
Modified: 2013-08-19 10:10 UTC (History)
6 users (show)

Fixed In Version: perl-CGI-Session-4.48-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-19 10:10:17 UTC


Attachments (Terms of Use)
Minimum patch to avoid qw warnings (463 bytes, patch)
2012-08-01 09:48 UTC, hkoba
no flags Details | Diff
Patch updating the spec file to 4.48 (2.26 KB, patch)
2013-08-15 09:41 UTC, Emmanuel Seyman
no flags Details | Diff

Description Ralf Corsepius 2012-01-17 21:26:48 UTC
Description of problem:
The perl-CGI-Session package in Fedora is outdated.

Is there any particuliar reason Fedora is still shipping this version?

Version-Release number of selected component (if applicable):
CGI-Session-4.35 (Release date: July 15, 2008)

Additional information:
- Current version in CPAN is CGI-Session-4.48 (Release date: July 11th, 2011)

- Building CGI-Session-4.35 raises a lot of warnings related to "deprecated perl constructs" => it will likely be unbuildable, soon.

Comment 1 hkoba 2012-08-01 09:48:35 UTC
Created attachment 601701 [details]
Minimum patch to avoid qw warnings

If you do not have enough time to test newer CGI::Session,
please apply this patch as a minimum work around. Please!

Comment 2 David Tonhofer 2012-08-08 11:23:46 UTC
Bump; crosslink to bug#754689

Comment 3 Simon Andrews 2012-08-21 08:53:57 UTC
I've sent a mail to the perl-sig group to see if anyone there is able to apply the patch to fix this since there has been no response from the package maintainer.

Comment 4 Emmanuel Seyman 2013-08-15 09:41:23 UTC
Created attachment 786878 [details]
Patch updating the spec file to 4.48


Note You need to log in before you can comment on or make changes to this bug.